[DEBIAN9] dependency problem: kopano-server-packages depends on kopano-spamd

Hi everyone

I tried to upgrade to core-8.5.81.169_0+20-Debian_9.0-amd64 today (from latest 8.4.x) and I am getting a dependency error that kopano-spamd was not found and it also does not appear to be part of the Kopano 8.5.81.169 Core package either. Any ideas where to download the missing DEB package or how to fix the problem, just in case I can’t see the wood for the trees. Thanks.

root@mx:~/core-8.5.81.169_0+20-Debian_9.0-amd64# dpkg -i ./*.deb
(Reading database ... 63263 files and directories currently installed.)
Preparing to unpack ./gsoap_2.8.60-0+1.2_amd64.deb ...
Unpacking gsoap (2.8.60-0+1.2) over (2.8.60-0+1.2) ...
Preparing to unpack .../gsoap-dbg_2.8.60-0+1.2_amd64.deb ...
Unpacking gsoap-dbg (2.8.60-0+1.2) over (2.8.60-0+1.2) ...
Preparing to unpack .../gsoap-doc_2.8.60-0+1.2_all.deb ...
Unpacking gsoap-doc (2.8.60-0+1.2) over (2.8.60-0+1.2) ...
Preparing to unpack .../kopano-backup_8.5.81.169-0+20.1_amd64.deb ...
Unpacking kopano-backup (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../kopano-bash-completion_8.5.81.169-0+20.1_amd64.deb ...
Unpacking kopano-bash-completion (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../kopano-client_8.5.81.169-0+20.1_amd64.deb ...
Unpacking kopano-client (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../kopano-common_8.5.81.169-0+20.1_amd64.deb ...
Unpacking kopano-common (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../kopano-contacts_8.5.81.169-0+20.1_amd64.deb ...
Unpacking kopano-contacts (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../kopano-dagent_8.5.81.169-0+20.1_amd64.deb ...
Unpacking kopano-dagent (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../kopano-dbg_8.5.81.169-0+20.1_amd64.deb ...
Unpacking kopano-dbg (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../kopano-dev_8.5.81.169-0+20.1_amd64.deb ...
Unpacking kopano-dev (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../kopano-gateway_8.5.81.169-0+20.1_amd64.deb ...
Unpacking kopano-gateway (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../kopano-ical_8.5.81.169-0+20.1_amd64.deb ...
Unpacking kopano-ical (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../kopano-lang_8.5.81.169-0+20.1_all.deb ...
Unpacking kopano-lang (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../kopano-migration-imap_8.5.81.169-0+20.1_amd64.deb ...
Unpacking kopano-migration-imap (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../kopano-migration-pst_8.5.81.169-0+20.1_amd64.deb ...
Unpacking kopano-migration-pst (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../kopano-monitor_8.5.81.169-0+20.1_amd64.deb ...
Unpacking kopano-monitor (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../kopano-presence_8.5.81.169-0+20.1_amd64.deb ...
Unpacking kopano-presence (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../kopano-search_8.5.81.169-0+20.1_amd64.deb ...
Unpacking kopano-search (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../kopano-server_8.5.81.169-0+20.1_amd64.deb ...
Unpacking kopano-server (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../kopano-server-packages_8.5.81.169-0+20.1_all.deb ...
Unpacking kopano-server-packages (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../kopano-spooler_8.5.81.169-0+20.1_amd64.deb ...
Unpacking kopano-spooler (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../kopano-utils_8.5.81.169-0+20.1_amd64.deb ...
Unpacking kopano-utils (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../libgsoap-dbg_2.8.60-0+1.2_amd64.deb ...
Unpacking libgsoap-dbg (2.8.60-0+1.2) over (2.8.60-0+1.2) ...
Preparing to unpack .../libgsoap-dev_2.8.60-0+1.2_amd64.deb ...
Unpacking libgsoap-dev (2.8.60-0+1.2) over (2.8.60-0+1.2) ...
Preparing to unpack .../libgsoap-kopano-2.8.60_2.8.60-0+1.2_amd64.deb ...
Unpacking libgsoap-kopano-2.8.60 (2.8.60-0+1.2) over (2.8.60-0+1.2) ...
Preparing to unpack ./libjansson4_2.7-1_amd64.deb ...
Unpacking libjansson4:amd64 (2.7-1) over (2.7-1) ...
Preparing to unpack .../libjansson-dbg_2.7-1_amd64.deb ...
Unpacking libjansson-dbg:amd64 (2.7-1) over (2.7-1) ...
Preparing to unpack .../libjansson-dev_2.7-1_amd64.deb ...
Unpacking libjansson-dev:amd64 (2.7-1) over (2.7-1) ...
Preparing to unpack ./libjansson-doc_2.7-1_all.deb ...
Unpacking libjansson-doc (2.7-1) over (2.7-1) ...
Preparing to unpack .../libkcarchiver0_8.5.81.169-0+20.1_amd64.deb ...
Unpacking libkcarchiver0 (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../libkcarchivercore0_8.5.81.169-0+20.1_amd64.deb ...
Unpacking libkcarchivercore0 (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../libkcfreebusy0_8.5.81.169-0+20.1_amd64.deb ...
Unpacking libkcfreebusy0 (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../libkcicalmapi0_8.5.81.169-0+20.1_amd64.deb ...
Unpacking libkcicalmapi0 (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../libkcinetmapi0_8.5.81.169-0+20.1_amd64.deb ...
Unpacking libkcinetmapi0 (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../libkcmapi0_8.5.81.169-0+20.1_amd64.deb ...
Unpacking libkcmapi0 (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../libkcserver0_8.5.81.169-0+20.1_amd64.deb ...
Unpacking libkcserver0 (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../libkcsoap0_8.5.81.169-0+20.1_amd64.deb ...
Unpacking libkcsoap0 (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../libkcssl0_8.5.81.169-0+20.1_amd64.deb ...
Unpacking libkcssl0 (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../libkcsync0_8.5.81.169-0+20.1_amd64.deb ...
Unpacking libkcsync0 (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../libkcutil0_8.5.81.169-0+20.1_amd64.deb ...
Unpacking libkcutil0 (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../libmapi1_8.5.81.169-0+20.1_amd64.deb ...
Unpacking libmapi1 (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../libs3-4_4.1.git257-0+2.4_amd64.deb ...
Unpacking libs3-4 (4.1.git257-0+2.4) over (4.1.git257-0+2.4) ...
Preparing to unpack .../libs3-4-dbgsym_4.1.git257-0+2.4_amd64.deb ...
Unpacking libs3-4-dbgsym (4.1.git257-0+2.4) over (4.1.git257-0+2.4) ...
Preparing to unpack .../libs3-dev_4.1.git257-0+2.4_amd64.deb ...
Unpacking libs3-dev (4.1.git257-0+2.4) over (4.1.git257-0+2.4) ...
Preparing to unpack .../libtidy5_5.1.9+1.12_amd64.deb ...
Unpacking libtidy5 (5.1.9+1.12) over (5.1.9+1.12) ...
Preparing to unpack .../libtidy5-dbgsym_5.1.9+1.12_amd64.deb ...
Unpacking libtidy5-dbgsym (5.1.9+1.12) over (5.1.9+1.12) ...
Preparing to unpack .../libvmime-dev_0.9.2+13.4_amd64.deb ...
Unpacking libvmime-dev (0.9.2+13.4) over (0.9.2+13.4) ...
Preparing to unpack .../libvmime-kopano1_0.9.2+13.4_amd64.deb ...
Unpacking libvmime-kopano1 (0.9.2+13.4) over (0.9.2+13.4) ...
Preparing to unpack .../libvmime-kopano1-dbgsym_0.9.2+13.4_amd64.deb ...
Unpacking libvmime-kopano1-dbgsym (0.9.2+13.4) over (0.9.2+13.4) ...
Preparing to unpack .../php7-mapi_8.5.81.169-0+20.1_amd64.deb ...
Unpacking php7-mapi (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../python3-kopano_8.5.81.169-0+20.1_all.deb ...
Unpacking python3-kopano (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../python3-mapi_8.5.81.169-0+20.1_amd64.deb ...
Unpacking python3-mapi (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../python-kopano_8.5.81.169-0+20.1_all.deb ...
Unpacking python-kopano (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../python-mapi_8.5.81.169-0+20.1_amd64.deb ...
Unpacking python-mapi (8.5.81.169-0+20.1) over (8.5.81.169-0+20.1) ...
Preparing to unpack .../tidy-html5_5.1.9+1.12_amd64.deb ...
Unpacking tidy-html5 (5.1.9+1.12) over (5.1.9+1.12) ...
Preparing to unpack .../tidy-html5-dbgsym_5.1.9+1.12_amd64.deb ...
Unpacking tidy-html5-dbgsym (5.1.9+1.12) over (5.1.9+1.12) ...
Preparing to unpack .../tidy-html5-dev_5.1.9+1.12_amd64.deb ...
Unpacking tidy-html5-dev (5.1.9+1.12) over (5.1.9+1.12) ...
Setting up gsoap-doc (2.8.60-0+1.2) ...
Setting up kopano-bash-completion (8.5.81.169-0+20.1) ...
Setting up kopano-common (8.5.81.169-0+20.1) ...
Setting up kopano-dbg (8.5.81.169-0+20.1) ...
Setting up kopano-lang (8.5.81.169-0+20.1) ...
Setting up kopano-migration-imap (8.5.81.169-0+20.1) ...
dpkg: dependency problems prevent configuration of kopano-server-packages:
 kopano-server-packages depends on kopano-spamd (= 8.5.81.169-0+20.1); however:
  Package kopano-spamd is not installed.

dpkg: error processing package kopano-server-packages (--install):
 dependency problems - leaving unconfigured
Setting up libgsoap-dev (2.8.60-0+1.2) ...
Setting up libgsoap-kopano-2.8.60 (2.8.60-0+1.2) ...
Setting up libjansson4:amd64 (2.7-1) ...
Setting up libjansson-dbg:amd64 (2.7-1) ...
Setting up libjansson-dev:amd64 (2.7-1) ...
Setting up libjansson-doc (2.7-1) ...
Setting up libkcutil0 (8.5.81.169-0+20.1) ...
Setting up libs3-4 (4.1.git257-0+2.4) ...
Setting up libs3-4-dbgsym (4.1.git257-0+2.4) ...
Setting up libs3-dev (4.1.git257-0+2.4) ...
Setting up libtidy5 (5.1.9+1.12) ...
Setting up libtidy5-dbgsym (5.1.9+1.12) ...
Setting up libvmime-kopano1 (0.9.2+13.4) ...
Setting up libvmime-kopano1-dbgsym (0.9.2+13.4) ...
Setting up tidy-html5 (5.1.9+1.12) ...
Setting up tidy-html5-dbgsym (5.1.9+1.12) ...
Setting up tidy-html5-dev (5.1.9+1.12) ...
Setting up gsoap (2.8.60-0+1.2) ...
Setting up gsoap-dbg (2.8.60-0+1.2) ...
Setting up libgsoap-dbg (2.8.60-0+1.2) ...
Setting up libkcmapi0 (8.5.81.169-0+20.1) ...
Setting up libkcsoap0 (8.5.81.169-0+20.1) ...
Setting up libkcssl0 (8.5.81.169-0+20.1) ...
Setting up libvmime-dev (0.9.2+13.4) ...
Setting up libkcserver0 (8.5.81.169-0+20.1) ...
Setting up libkcfreebusy0 (8.5.81.169-0+20.1) ...
Setting up libkcsync0 (8.5.81.169-0+20.1) ...
Setting up kopano-client (8.5.81.169-0+20.1) ...
Setting up libmapi1 (8.5.81.169-0+20.1) ...
Setting up kopano-contacts (8.5.81.169-0+20.1) ...
Setting up kopano-monitor (8.5.81.169-0+20.1) ...
Setting up libkcarchiver0 (8.5.81.169-0+20.1) ...
Setting up libkcarchivercore0 (8.5.81.169-0+20.1) ...
Setting up libkcicalmapi0 (8.5.81.169-0+20.1) ...
Setting up libkcinetmapi0 (8.5.81.169-0+20.1) ...
Setting up php7-mapi (8.5.81.169-0+20.1) ...
php5-mapi: using mods-available directory


If you use a PHP executor other than Apache (like FPM), you may need to manually restart it.


Setting up python3-mapi (8.5.81.169-0+20.1) ...
Setting up python-mapi (8.5.81.169-0+20.1) ...
Setting up kopano-dagent (8.5.81.169-0+20.1) ...
Setting up kopano-dev (8.5.81.169-0+20.1) ...
Setting up kopano-gateway (8.5.81.169-0+20.1) ...
Setting up kopano-ical (8.5.81.169-0+20.1) ...
Setting up kopano-spooler (8.5.81.169-0+20.1) ...
Setting up kopano-utils (8.5.81.169-0+20.1) ...
Setting up python3-kopano (8.5.81.169-0+20.1) ...
Setting up python-kopano (8.5.81.169-0+20.1) ...
Setting up kopano-backup (8.5.81.169-0+20.1) ...
Setting up kopano-migration-pst (8.5.81.169-0+20.1) ...
Setting up kopano-presence (8.5.81.169-0+20.1) ...
Setting up kopano-search (8.5.81.169-0+20.1) ...
Setting up kopano-server (8.5.81.169-0+20.1) ...
Processing triggers for libc-bin (2.24-11+deb9u1) ...
Errors were encountered while processing:
 kopano-server-packages

Hi @chris ,

thanks for you report. this also came up during testing earlier today. As kopano-spamd should stay optional I have just removed the dependency from the package. The fix should be publicly available with the next round of packages.

For now you could just skip installing kopano-server-packages*.deb.

PS: I personally really dislike the installation of all the provided packages via dpkg -i *. simply because not all packages are really needed for normal operation. instead i would recommend to build a local repository and install from there. e.g. with https://github.com/fbartels/kopano-docker-image/blob/master/Dockerfile#L18-L25

Hi @fbartels

Glad to hear it’s not just me having the issue, the spamd dependency error was really confusing , since it was announced for Kopano Core 8.6. lol

The upgrade itself finished properly and Kopano /w OpenLDAP is running just fine since I upgraded to 8.5.81. Thanks for your assistance and confirming the bug! :)

And yeah, I agree, the dpkg -i ./*.deb is ugly, but it’s just on my private Kopano server.